%global _compldir %{_datadir}/bash-completion/completions

Name:           megatools
Version:        1.10.3
Release:        %{mkrel 1}
Summary:        Command line client for MEGA
Group:		Networking/File transfer
License:        GPLv3+
URL:            http://megatools.megous.com/

Source0:        http://megatools.megous.com/builds/%{name}-%{version}.tar.gz
Source1:        http://megatools.megous.com/builds/%{name}-%{version}.tar.gz.asc

BuildRequires:  asciidoc
BuildRequires:  fuse-devel
BuildRequires:  glib2-devel
BuildRequires:  gmp-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(openssl)

%description
Megatools is a collection of programs for accessing Mega service from a command
line of your desktop or server.

Megatools allow you to copy individual files as well as entire directory trees
to and from the cloud. You can also perform streaming downloads for example to
preview videos and audio files, without needing to download the entire file.

You can register an account using a "megareg" tool, with the benefit of having
true control of your encryption keys.

Megatools are robust and optimized for fast operation - as fast as Mega servers
allow. Memory requirements and CPU utilization are kept at minimum.

%prep
%autosetup -n %{name}-%{version}

%build
%configure --disable-silent-rules
%make_build

%install
%make_install

# Bash completion
install -D -m644 -p contrib/bash-completion/%{name} %{buildroot}%{_compldir}/%{name}
for i in %{buildroot}%{_bindir}/*; do
    ln -sf %{name} %{buildroot}%{_compldir}/$(basename $i)
done

# Let RPM pick up the docs at assembly time
rm -fr %{buildroot}%{_docdir}/%{name}

%check
make check

%ldconfig_scriptlets

%files
%license LICENSE
%doc HACKING NEWS README TODO
%{_bindir}/mega*
%{_compldir}/*
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*
%{_mandir}/man7/*.7*



%changelog
* Mon May 11 2020 tv <tv> 1.10.3-1.mga8
+ Revision: 1582883
- 1.10.3

* Tue Apr 07 2020 tv <tv> 1.10.2-1.mga8
+ Revision: 1565440
- imported package megatools

